Get By Name
curl --request GET \
--url https://api.nebius.cloud/storage/v1alpha1/transfers/get-by-name \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/storage/v1alpha1/transfers/get-by-name"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/storage/v1alpha1/transfers/get-by-name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"destination": {
"bucketName": "<string>",
"credentials": {
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"anonymous": {},
"azureAccessKey": {
"accessKey": "<string>",
"accountName": "<string>"
}
},
"endpoint": "<string>",
"prefix": "<string>",
"region": "<string>"
},
"overwriteStrategy": "OVERWRITE_STRATEGY_UNSPECIFIED",
"source": {
"bucketName": "<string>",
"endpoint": "<string>",
"region": "<string>",
"credentials": {
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"anonymous": {},
"azureAccessKey": {
"accessKey": "<string>",
"accountName": "<string>"
}
},
"limiters": {
"bandwidthBytesPerSecond": "<string>",
"requestsPerSecond": "<string>"
},
"prefix": "<string>"
},
"afterNEmptyIterations": {
"emptyIterationsThreshold": 123
},
"afterOneIteration": {},
"infinite": {},
"interIterationInterval": "<string>"
},
"status": {
"error": "<string>",
"lastIteration": {
"averageThroughputBytes": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"error": "<string>",
"objectsDiscoveredCount": "<string>",
"objectsMigratedCount": "<string>",
"objectsMigratedSize": "<string>",
"objectsSkippedCount": "<string>",
"sequenceNumber": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED"
},
"state": "STATE_UNSPECIFIED",
"suspensionState": "SUSPENSION_STATE_UNSPECIFIED"
}
}transfers
Get By Name
GET
/
storage
/
v1alpha1
/
transfers
/
get-by-name
Get By Name
Authorizations
The Authorization header expects a Bearer token.
Was this page helpful?
⌘I